fourmolu-0.18.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Imports

Description

Manipulations on import lists.

Synopsis

- normalizeImports :: Bool -> Set ModuleName -> ImportGrouping -> [LImportDecl GhcPs] -> [[LImportDecl GhcPs]]

# Documentation

normalizeImports :: Bool -> Set ModuleName -> ImportGrouping -> [LImportDecl GhcPs] -> [[LImportDecl GhcPs]] Source #

Sort, group and normalize imports.

Assumes input list is sorted by source location. Output list is not necessarily sorted by source location, so this function should be called at most once on a given input list.